Subject: Re: bug#6248: 23.1; justify (esc q) broken in Latex mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Jun 2010 09:41:04 -0400

>> Hmm... I see some problems with that:
>> - your original message reported that the whole paragraph was indented
>> (apparently by 4 spaces), so either that paragraph was not "outside
>> of any environment" or there is something I don't understand.

>     I think there is something else going on; that paragraph was
> contained in absolutely no environment.  As an experiment, I indented
> the first line only of the original paragraph by 20 spaces.  The result
> was that the entire paragraph is indented 20 spaces.  I can't think of
> any argument for why this makes sense.

Oh, I see what's going on: the filling only reindents the lines after
the first (i.e. only the lines that come after a newline inserted by the
filling code), and the filling code simply trusts the first line to be
properly indented.

        Stefan